<?php 
$default = jumla_get_default_theme_options();

//$wp_customize->get_section('colors')->title = __( 'General settings' );

// Add Theme Options Panel.
$wp_customize->add_panel( 'theme_color_typo',
	array(
		'title'      => __( 'General settings', 'jumla' ),
		'priority'   => 40,
		'capability' => 'edit_theme_options',
	)
);

// font Section.
$wp_customize->add_section( 'font_typo_section',
	array(
		'title'      => __( 'Fonts & Typography', 'jumla' ),
		'priority'   => 100,
		'capability' => 'edit_theme_options',
		'panel'      => 'theme_color_typo',
	)
);

// font Section.
$wp_customize->add_section( 'colors',
	array(
		'title'      => __( 'Color Options', 'jumla' ),
		'priority'   => 100,
		'capability' => 'edit_theme_options',
		'panel'      => 'theme_color_typo',
	)
);

// Setting - primary_color.
$wp_customize->add_setting( 'primary_color',
	array(
		'default'           => $default['primary_color'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control( 'primary_color',
	array(
		'label'    => __( 'Primary Color', 'jumla' ),
		'section'  => 'colors',
		'type'     => 'color',
		'priority' => 100,
	)
);


// Setting - secondary_color.
$wp_customize->add_setting( 'secondary_color',
	array(
		'default'           => $default['secondary_color'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control( 'secondary_color',
	array(
		'label'    => __( 'Secondary Color', 'jumla' ),
		'section'  => 'colors',
		'type'     => 'color',
		'priority' => 100,
	)
);

global $jumla_google_fonts;

// Setting - primary_font.
$wp_customize->add_setting( 'primary_font',
	array(
		'default'           => $default['primary_font'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'jumla_sanitize_select',
	)
);
$wp_customize->add_control( 'primary_font',
	array(
		'label'    => __( 'Primary Font', 'jumla' ),
		'section'  => 'font_typo_section',
		'type'     => 'select',
		'choices'     => $jumla_google_fonts,
		'priority' => 100,
	)
);

// Setting - secondary_font.
$wp_customize->add_setting( 'secondary_font',
	array(
		'default'           => $default['secondary_font'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'jumla_sanitize_select',
	)
);
$wp_customize->add_control( 'secondary_font',
	array(
		'label'    => __( 'Secondary Font', 'jumla' ),
		'section'  => 'font_typo_section',
		'type'     => 'select',
		'choices'     => $jumla_google_fonts,
		'priority' => 110,
	)
);


// Setting - text_size_title_font_big.
$wp_customize->add_setting( 'text_size_title_font_big',
	array(
		'default'           => $default['text_size_title_font_big'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'jumla_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'text_size_title_font_big',
	array(
		'label'    => __( 'Font Size for Big Title', 'jumla' ),
		'section'  => 'font_typo_section',
		'type'     => 'number',
		'priority' => 120,
		'input_attrs'     => array( 'min' => 1, 'max' => 100, 'style' => 'width: 150px;' ),
	)
);

// Setting - text_size_title_font_small.
$wp_customize->add_setting( 'text_size_title_font_small',
	array(
		'default'           => $default['text_size_title_font_small'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'jumla_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'text_size_title_font_small',
	array(
		'label'    => __( 'Font Size for Small Title', 'jumla' ),
		'section'  => 'font_typo_section',
		'type'     => 'number',
		'priority' => 125,
		'input_attrs'     => array( 'min' => 1, 'max' => 100, 'style' => 'width: 150px;' ),
	)
);

// Setting - text_size_p.
$wp_customize->add_setting( 'text_size_p',
	array(
		'default'           => $default['text_size_p'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'jumla_sanitize_positive_integer',
	)
);
$wp_customize->add_control( 'text_size_p',
	array(
		'label'    => __( 'Font Size For Paragraph', 'jumla' ),
		'section'  => 'font_typo_section',
		'type'     => 'number',
		'priority' => 140,
		'input_attrs'     => array( 'min' => 1, 'max' => 100, 'style' => 'width: 150px;' ),
	)
);

